variable "project" {
  description = "Project ID."
  type        = string
}

variable "region" {
  description = "Region."
  type        = string
}

variable "tier" {
  description = "DB machine type."
  type        = string
  default     = "db-f1-micro"
}

variable "db_version" {
  description = "Database version."
  type        = string
  default     = "POSTGRES_13"
}

resource "google_sql_database_instance" "instance" {
  project = var.project
  region  = var.region
  name    = "my-database-instance"

  database_version = var.db_version

  settings {
    tier = var.tier

    ip_configuration {
      private_network = true
    }
  }

  deletion_protection = "true"
}
